Package com.destroystokyo.paper.event.entity

# Enum Class EntityTransformedEvent.TransformedReason

java.lang.Object
java.lang.Enum<EntityTransformedEvent.TransformedReason>
com.destroystokyo.paper.event.entity.EntityTransformedEvent.TransformedReason

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityTransformedEvent.TransformedReason>`, `Constable`

Enclosing class:
  EntityTransformedEvent

public static enum EntityTransformedEvent.TransformedReason extends Enum<EntityTransformedEvent.TransformedReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CURED`
When a zombie villager is cured
`DROWNED`
When a zombie drowns
`INFECTED`
When a villager turns to a zombie villager
`LIGHTNING`
When a pig turns to a zombiepigman
`SHEARED`
When a mooshroom turns to a cow

## Method Summary

Modifier and Type
Method
Description
`static EntityTransformedEvent.TransformedReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityTransformedEvent.TransformedReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DROWNED

public static final EntityTransformedEvent.TransformedReason DROWNED
When a zombie drowns

### CURED

public static final EntityTransformedEvent.TransformedReason CURED
When a zombie villager is cured

### INFECTED

public static final EntityTransformedEvent.TransformedReason INFECTED
When a villager turns to a zombie villager

### SHEARED

public static final EntityTransformedEvent.TransformedReason SHEARED
When a mooshroom turns to a cow

### LIGHTNING

public static final EntityTransformedEvent.TransformedReason LIGHTNING
When a pig turns to a zombiepigman

## Method Details

### values

public static EntityTransformedEvent.TransformedReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityTransformedEvent.TransformedReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null